require 'rails'
require 'set'
require 'active_support/dependencies'
require "waku/version"

module Waku
  autoload :Trackable,         'waku/activity/trackable'
  autoload :PathNotification,  'waku/activity/path_notification'
  
  class Error < StandardError; end
  
  class Engine < ::Rails::Engine
  end
end
